#!/usr/bin/perl -w

use strict;
use Tk;
use Spreadsheet::ParseExcel::Simple;


# Interface utilisateur

my $mainWin = new MainWindow( -title => "Excel -> CSV");

my $fichierXLS = '';
$mainWin->Label( -text => 'Fichier Excel : ' )->pack();
$mainWin->Entry( -textvariable => \$fichierXLS )->pack( -fill => 'x' );
$mainWin->Button( -text    => "Choisir",
                  -command => \&ouvrirFichier,
                )->pack();

my $separateur = ' ; ';
$mainWin->Label( -text => 'Sparateur : ' )->pack();
$mainWin->Entry( -textvariable => \$separateur )->pack();

$mainWin->Button( -text    => "Convertir",
                  -command => \&excel2CSV,
                )->pack( -side => "bottom" );

MainLoop();

######################################################################

# Rcuprer le choix de fichier de l'utilisateur
sub ouvrirFichier {
	$fichierXLS = $mainWin->getOpenFile( -filetypes => [ ['Excel', '.xls'] ],
	                                     -title     => "fichier Excel"
	                                   );
}

# convertir le fichier excel en CSV et placer le rsultat dans "output.csv"
sub excel2CSV {
	open OUTPUT, ">", "output.csv"
		or die "Erreur d'criture";
	my $xls = Spreadsheet::ParseExcel::Simple->read($fichierXLS);
	foreach my $sheet ($xls->sheets) {
		while ($sheet->has_data) {
			my @data = $sheet->next_row;
			print OUTPUT join($separateur,@data)."\n";
		}
	}
	close OUTPUT;
}
